commit b973c9f4b9013d56e1210445bc6a75074ecd41e3
Author: freddy77 <freddy77>
Date:   Sun Aug 17 07:44:45 2008 +0000

    remove some warnings

diff --git a/ChangeLog b/ChangeLog
index 3f4a831..61ab07a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Sun Aug 17 09:44:29 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/ctutil.c src/dblib/dbutil.c src/odbc/unittests/utf8.c:
+	- remove some warnings
+
 Sun Aug 17 09:26:47 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c: rollback change to make blob1 test work again
 
@@ -551,4 +555,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2587 2008/08/17 07:27:16 freddy77 Exp $
+$Id: ChangeLog,v 1.2588 2008/08/17 07:44:45 freddy77 Exp $
diff --git a/src/ctlib/ctutil.c b/src/ctlib/ctutil.c
index daeb1b5..c2bf5f5 100644
--- a/src/ctlib/ctutil.c
+++ b/src/ctlib/ctutil.c
@@ -32,7 +32,7 @@
 /* #include "fortify.h" */
 
 
-TDS_RCSID(var, "$Id: ctutil.c,v 1.28 2007/01/07 16:13:17 jklowden Exp $");
+TDS_RCSID(var, "$Id: ctutil.c,v 1.29 2008/08/17 07:44:45 freddy77 Exp $");
 
 /*
  * test include consistency 
@@ -67,7 +67,7 @@ TEST_EQUAL(t14,CS_MSG_RESULT,TDS_MSG_RESULT);
 TEST_EQUAL(t15,CS_DESCRIBE_RESULT,TDS_DESCRIBE_RESULT);
 
 #define TEST_ATTRIBUTE(t,sa,fa,sb,fb) \
-	COMPILE_CHECK(t,sizeof(((sa*)0)->fa) == sizeof(((sb*)0)->fb) && (int)(&((sa*)0)->fa) == (int)(&((sb*)0)->fb))
+	COMPILE_CHECK(t,sizeof(((sa*)0)->fa) == sizeof(((sb*)0)->fb) && (TDS_INTPTR)(&((sa*)0)->fa) == (TDS_INTPTR)(&((sb*)0)->fb))
 
 TEST_ATTRIBUTE(t21,TDS_MONEY4,mny4,CS_MONEY4,mny4);
 TEST_ATTRIBUTE(t22,TDS_OLD_MONEY,mnyhigh,CS_MONEY,mnyhigh);
diff --git a/src/dblib/dbutil.c b/src/dblib/dbutil.c
index d41a717..92ad3f5 100644
--- a/src/dblib/dbutil.c
+++ b/src/dblib/dbutil.c
@@ -39,7 +39,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dbutil.c,v 1.42 2007/12/07 05:27:55 jklowden Exp $");
+TDS_RCSID(var, "$Id: dbutil.c,v 1.43 2008/08/17 07:44:45 freddy77 Exp $");
 
 /*
  * test include consistency 
@@ -58,7 +58,7 @@ TDS_RCSID(var, "$Id: dbutil.c,v 1.42 2007/12/07 05:27:55 jklowden Exp $");
 /* TODO test SYBxxx consistency */
 
 #define TEST_ATTRIBUTE(t,sa,fa,sb,fb) \
-	COMPILE_CHECK(t,sizeof(((sa*)0)->fa) == sizeof(((sb*)0)->fb) && (int)(&((sa*)0)->fa) == (int)(&((sb*)0)->fb))
+	COMPILE_CHECK(t,sizeof(((sa*)0)->fa) == sizeof(((sb*)0)->fb) && (TDS_INTPTR)(&((sa*)0)->fa) == (TDS_INTPTR)(&((sb*)0)->fb))
 
 TEST_ATTRIBUTE(t21,TDS_MONEY4,mny4,DBMONEY4,mny4);
 TEST_ATTRIBUTE(t22,TDS_OLD_MONEY,mnyhigh,DBMONEY,mnyhigh);
diff --git a/src/odbc/unittests/utf8.c b/src/odbc/unittests/utf8.c
index 479dac9..0db2f78 100755
--- a/src/odbc/unittests/utf8.c
+++ b/src/odbc/unittests/utf8.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test binding with UTF-8 encoding */
-static char software_version[] = "$Id: utf8.c,v 1.1 2008/08/16 14:48:57 freddy77 Exp $";
+static char software_version[] = "$Id: utf8.c,v 1.2 2008/08/17 07:44:45 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -76,7 +76,7 @@ main(int argc, char *argv[])
 	int res;
 	char tmp[2048];
 	SQLSMALLINT len;
-	const char **p;
+	const char * const*p;
 	SQLINTEGER n;
 	SQLLEN n_len;
 
@@ -142,10 +142,10 @@ main(int argc, char *argv[])
 		SQLLEN s1_len, s2_len;
 
 		CHK(SQLBindParameter, (Statement, 2, SQL_PARAM_INPUT, SQL_C_CHAR,
-			SQL_WCHAR, 40, 0, p[0], 0, &s1_len));
+			SQL_WCHAR, 40, 0, (void *) p[0], 0, &s1_len));
 		/* FIXME this with SQL_VARCHAR produce wrong protocol data */
 		CHK(SQLBindParameter, (Statement, 3, SQL_PARAM_INPUT, SQL_C_CHAR,
-			SQL_WVARCHAR, 40, 0, p[1], 0, &s2_len));
+			SQL_WVARCHAR, 40, 0, (void *) p[1], 0, &s2_len));
 		s1_len = strlen(p[0]);
 		s2_len = strlen(p[1]);
 		printf("insert #%d\n", n);

